AnsweredAssumed Answered

How to control Tree Display?

Question asked by Habib Ghalamkari on Aug 24, 2019
Latest reply on Aug 31, 2019 by Habib Ghalamkari

I'm trying to automate changing Tree Display of old Soliworks files to match our new templates.

How can I change the following two items? 

Don't Show Configuration/Display State Names if Only one exists

Show Comment Indicator

 

This is what I have at present:

 

Option Explicit

Dim swApp As SldWorks.SldWorks
Dim Part As SldWorks.ModelDoc2
Dim SelMgr As SldWorks.SelectionMgr
Dim swFeatMgr As SldWorks.FeatureManager


Sub main()

Set swApp = Application.SldWorks
Set Part = swApp.ActiveDoc
Set SelMgr = Part.SelectionManager
Set swFeatMgr = Part.FeatureManager

With swFeatMgr
.ShowComponentNames = True
.ShowComponentDescriptions = False
.ShowComponentConfigurationNames = False
.ShowComponentConfigurationDescriptions = False
.ShowDisplayStateNames = False
.ShowFeatureName = True
.ShowFeatureDescription = False
.ShowFeatureDetails = False
End With

End Sub

 

 

Thanks for any kind of advice.

Outcomes